agent_version=staging as a query parameter to list evaluation runs for the staging version of the agent instead of the published agent.agent_version field ("production" or "staging"). Accepted values: "true", "false" (case-insensitive). Defaults to false.include_evaluations_of_versions query parameter. When true, evaluations from both the production and staging versions of the agent are combined in a single response. Each evaluation item includes an agent_version field ("production" or "staging").curl --location --globoff 'https:///api/v2/agents//evaluation-runs?include_evaluations_of_versions=undefined&status=undefined' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer '{
"message": "string",
"success": true,
"data": {
"count": 0,
"agent_id": 0,
"evaluations": [
{
"bridge_id": 0,
"id": 0,
"evaluation_public_id": "70716a00-e4f3-4996-ae00-b4d6d402217d",
"name": "string",
"status": "string",
"scores": {
"answer_similarity": 0,
"answer_relevancy": 0,
"faithfulness": 0,
"context_recall": 0,
"context_precision": 0
},
"total_queries": 0,
"completed_queries": 0,
"created_on": "2019-08-24T14:15:22.123Z",
"created_by": "string",
"completed_on": "2019-08-24T14:15:22.123Z",
"metadata": {
"original_run_id": 0,
"source": "string",
"notes": "string"
},
"agent_version": "string"
}
]
}
}